#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2007
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@
relativesrcdir  = parser/htmlparser/tests/mochitest/html5lib_tree_construction

include $(DEPTH)/config/autoconf.mk

DIRS = \
		scripted \
		$(NULL)

include $(topsrcdir)/config/rules.mk

_TEST_FILES =	adoption01.dat \
		adoption02.dat \
		comments01.dat \
		doctype01.dat \
		entities01.dat \
		entities02.dat \
		html5test-com.dat \
		inbody01.dat \
		isindex.dat \
		pending-spec-changes.dat \
		pending-spec-changes-plain-text-unsafe.dat \
		plain-text-unsafe.dat \
		scriptdata01.dat \
		tables01.dat \
		tests10.dat \
		tests11.dat \
		tests12.dat \
		tests14.dat \
		tests15.dat \
		tests16.dat \
		tests17.dat \
		tests18.dat \
		tests19.dat \
		tests1.dat \
		tests20.dat \
		tests21.dat \
		tests22.dat \
		tests23.dat \
		tests24.dat \
		tests25.dat \
		tests2.dat \
		tests3.dat \
		tests4.dat \
		tests5.dat \
		tests6.dat \
		tests7.dat \
		tests8.dat \
		tests9.dat \
		tests_innerHTML_1.dat \
		tricky01.dat \
		webkit01.dat \
		webkit02.dat \
		$(NULL)

libs:: $(_TEST_FILES)
	$(INSTALL) $(foreach f,$^,"$f") $(DEPTH)/_tests/testing/mochitest/tests/$(relativesrcdir)
